メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
devices
/
device-types
Get allowed device types for the organization
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-types \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-types"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "uniqueName": "serial_number",
  "name": {
    "ja": "こんにちは",
    "en": "Hello"
  },
  "kind": "dropdown",
  "configuration": {
    "values": [
      {
        "id": "option_1",
        "value": "phone",
        "group": "phone",
        "label": {
          "ja": "こんにちは",
          "en": "Hello"
        }
      }
    ],
    "groups": [
      {
        "value": "phone",
        "label": {
          "ja": "こんにちは",
          "en": "Hello"
        }
      }
    ]
  },
  "visibleForType": "phone",
  "required": true
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

レスポンス

uniqueName
string
必須

Unique identifier for the device field

:

"serial_number"

name
object
必須

Multi-language names for the field

kind
enum<string>
必須

The type of field (e.g., text, number, date, dropdown)

利用可能なオプション:
text,
date,
number,
dropdown
:

"dropdown"

configuration
object | null
必須

Additional configuration for the field, such as dropdown options

visibleForType
enum<string>[]
必須

List of device types this field is visible for

利用可能なオプション:
pc,
phone,
other
:

"phone"

required
boolean
必須

Indicates if this field is required

:

true

最終更新日 2026年7月14日